Index: trunk/NEMO/OPA_SRC/LDF/ldfeiv.F90
===================================================================
--- trunk/NEMO/OPA_SRC/LDF/ldfeiv.F90	(revision 873)
+++ trunk/NEMO/OPA_SRC/LDF/ldfeiv.F90	(revision 888)
@@ -14,8 +14,9 @@
    USE oce             ! ocean dynamics and tracers
    USE dom_oce         ! ocean space and time domain
+   USE sbc_oce         ! surface boundary condition: ocean
+   USE sbcrnf          ! river runoffs
    USE ldftra_oce      ! ocean tracer   lateral physics
    USE phycst          ! physical constants
    USE ldfslp          ! iso-neutral slopes
-   USE flxrnf          ! 
    USE in_out_manager  ! I/O manager
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
@@ -29,5 +30,5 @@
    !!----------------------------------------------------------------------
    !!  OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $Id$
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
@@ -188,5 +189,5 @@
             DO ji = 1, jpi
                zaht      = ( 1. -  MIN( 1., ABS( ff(ji,jj) / zf20 ) ) ) * ( aht0 - zaht_min )  &
-                  &      + aht0 * upsrnfh(ji,jj)                          ! enhanced near river mouths
+                  &      + aht0 * rnfmsk(ji,jj)                          ! enhanced near river mouths
                ahtu(ji,jj) = MAX( MAX( zaht_min, aeiu(ji,jj) ) + zaht, aht0 )
                ahtv(ji,jj) = MAX( MAX( zaht_min, aeiv(ji,jj) ) + zaht, aht0 )
Index: trunk/NEMO/OPA_SRC/OBC/obcvol.F90
===================================================================
--- trunk/NEMO/OPA_SRC/OBC/obcvol.F90	(revision 873)
+++ trunk/NEMO/OPA_SRC/OBC/obcvol.F90	(revision 888)
@@ -12,9 +12,9 @@
    USE oce             ! ocean dynamics and tracers 
    USE dom_oce         ! ocean space and time domain 
+   USE sbc_oce         ! surface boundary condition: ocean
    USE phycst          ! physical constants
    USE obc_oce         ! ocean open boundary conditions
    USE lib_mpp         ! for mppsum
    USE in_out_manager  ! I/O manager
-   USE ocesbc          ! ocean surface boundary conditions
 
    IMPLICIT NONE
@@ -29,5 +29,5 @@
    !!---------------------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $Id$
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!---------------------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/SBC/albedo.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/albedo.F90	(revision 873)
+++ trunk/NEMO/OPA_SRC/SBC/albedo.F90	(revision 888)
@@ -4,37 +4,35 @@
    !! Ocean forcing:  bulk thermohaline forcing of the ocean (or ice)
    !!=====================================================================
-   !!----------------------------------------------------------------------
-   !!   flx_blk_albedo : albedo for ocean and ice (clear and overcast skies)
-   !!----------------------------------------------------------------------
-   !! * Modules used
-   USE oce             ! ocean dynamics and tracers
-   USE dom_oce         ! ocean space and time domain
-   USE cpl_oce         ! ???
+   !! History :  8.0  !  01-04  (LIM 1.0)
+   !!            8.5  !  03-07  (C. Ethe, G. Madec)  Optimization (old name:shine)
+   !!            9.0  !  04-11  (C. Talandier)  add albedo_init
+   !!             -   !  01-06  (M. Vancoppenolle) LIM 3.0
+   !!             -   !  06-08  (G. Madec)  cleaning for surface module
+   !!----------------------------------------------------------------------
+   !!   albedo_ice  : albedo for   ice (clear and overcast skies)
+   !!   albedo_oce  : albedo for ocean (clear and overcast skies)
+   !!   albedo_init : initialisation of albedo computation
+   !!----------------------------------------------------------------------
    USE phycst          ! physical constants
-   USE daymod
-   USE blk_oce         ! bulk variables
-   USE flx_oce         ! forcings variables
-   USE ocfzpt          ! ???
-   USE in_out_manager
-   USE lbclnk
+   USE in_out_manager  ! I/O manager
 
    IMPLICIT NONE
    PRIVATE
 
-   !! * Accessibility
-   PUBLIC flx_blk_albedo ! routine called by limflx.F90 in coupled
-                         ! and in flxblk.F90 in forced
-   !! * Module variables
-   INTEGER  ::             &  !: nameos : ocean physical parameters
-      albd_init = 0           !: control flag for initialization
-
-   REAL(wp)  ::            &  ! constant values
-      zzero   = 0.e0    ,  &
-      zone    = 1.0
-
-   !! * constants for albedo computation (flx_blk_albedo)
+   PUBLIC albedo_ice   ! routine called sbcice_lim.F90
+   PUBLIC albedo_oce   ! routine called by ???
+
+   INTEGER  ::   albd_init = 0      !: control flag for initialization
+   REAL(wp) ::   zzero     = 0.e0   ! constant values
+   REAL(wp) ::   zone      = 1.e0   !    "       "
+
+   REAL(wp) ::   c1     = 0.05    ! constants values
+   REAL(wp) ::   c2     = 0.10    !    "        "
+   REAL(wp) ::   rmue   = 0.40    !  cosine of local solar altitude
+
+   !!* namelist namalb
    REAL(wp) ::   &
-      c1     = 0.05  ,     &   ! constants values
-      c2     = 0.10  ,     &
+      cgren  = 0.06  ,     &   !  correction of the snow or ice albedo to take into account
+      !                        !  effects of cloudiness (Grenfell & Perovich, 1984)
 #if defined key_lim3
       albice = 0.53  ,     &   !  albedo of melting ice in the arctic and antarctic (Shine & Hendersson-Sellers)
@@ -42,143 +40,81 @@
       albice = 0.50  ,     &   !  albedo of melting ice in the arctic and antarctic (Shine & Hendersson-Sellers)
 #endif
-      cgren  = 0.06  ,     &   !  correction of the snow or ice albedo to take into account
-                               !  effects of cloudiness (Grenfell & Perovich, 1984)
       alphd  = 0.80  ,     &   !  coefficients for linear interpolation used to compute
       alphdi = 0.72  ,     &   !  albedo between two extremes values (Pyane, 1972)
-      alphc  = 0.65  ,     &
-      zmue   = 0.40            !  cosine of local solar altitude
-
-   !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+      alphc  = 0.65 
+
+   !!----------------------------------------------------------------------
+   !!   OPA 9.0 , LOCEAN-IPSL (2006) 
+   !! $Id$
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
 CONTAINS
 
-#if defined key_lim3 || defined key_lim2
-   !!----------------------------------------------------------------------
-   !!   'key_lim3' OR 'key_lim2'               LIM 2.0 or LIM 3.0 ice model
-   !!----------------------------------------------------------------------
-
-   SUBROUTINE flx_blk_albedo( palb , palcn , palbp , palcnp )
-      !!----------------------------------------------------------------------
-      !!               ***  ROUTINE flx_blk_albedo  ***
+   SUBROUTINE albedo_ice( pt_ice, ph_ice, ph_snw, pa_ice_cs, pa_ice_os )
+      !!----------------------------------------------------------------------
+      !!               ***  ROUTINE albedo_ice  ***
       !!          
       !! ** Purpose :   Computation of the albedo of the snow/ice system 
-      !!      as well as the ocean one
+      !!                as well as the ocean one
       !!       
       !! ** Method  : - Computation of the albedo of snow or ice (choose the 
-      !!      rignt one by a large number of tests
+      !!                rignt one by a large number of tests
       !!              - Computation of the albedo of the ocean
       !!
-      !! References :
-      !!      Shine and Hendersson-Sellers 1985, JGR, 90(D1), 2243-2250.
-      !!
-      !! History :
-      !!  8.0   !  01-04  (LIM 1.0)
-      !!  8.5   !  03-07  (C. Ethe, G. Madec)  Optimization (old name:shine)
-      !!  9.0   !  01-06  (M. Vancoppenolle) LIM 3.0
-      !!----------------------------------------------------------------------
-      !! * Modules used
-#if defined key_lim3
-      USE par_ice
-      USE ice                   ! ???
-#elif defined key_lim2
-      USE ice_2                 ! ???
-#endif
-
-      !! * Arguments
-#if defined key_lim3
-      REAL(wp), DIMENSION(jpi,jpj,jpl), INTENT(out) ::  &
-#elif defined key_lim2
-      REAL(wp), DIMENSION(jpi,jpj), INTENT(out) ::  &
-#endif
-         palb         ,     &    !  albedo of ice under overcast sky
-         palbp                   !  albedo of ice under clear sky 
-      REAL(wp), DIMENSION(jpi,jpj), INTENT(out) ::  &
-         palcn        ,     &    !  albedo of ocean under overcast sky
-         palcnp                  !  albedo of ocean under clear sky
-
-      !! * Local variables
-      INTEGER ::    &
-         ji, jj, jl               ! dummy loop indices
-      REAL(wp) ::   & 
-         zmue14         ,     &   !  zmue**1.4
-         zalbpsnm       ,     &   !  albedo of ice under clear sky when snow is melting
-         zalbpsnf       ,     &   !  albedo of ice under clear sky when snow is freezing
-         zalbpsn        ,     &   !  albedo of snow/ice system when ice is coverd by snow
-         zalbpic        ,     &   !  albedo of snow/ice system when ice is free of snow
-         zithsn         ,     &   !  = 1 for hsn >= 0 ( ice is cov. by snow ) ; = 0 otherwise (ice is free of snow)
-         zitmlsn        ,     &   !  = 1 freezinz snow (t_su >=rt0_snow) ; = 0 melting snow (t_su<rt0_snow)
-         zihsc1         ,     &   !  = 1 hsn <= c1 ; = 0 hsn > c1
-         zihsc2                   !  = 1 hsn >= c2 ; = 0 hsn < c2
-#if defined key_lim3
-      REAL(wp), DIMENSION(jpi,jpj,jpl) ::  &
-#elif defined key_lim2
-      REAL(wp), DIMENSION(jpi,jpj) ::  &
-#endif
-         zalbfz         ,     &   !  ( = alphdi for freezing ice ; = albice for melting ice )
-         zficeth                  !  function of ice thickness
-#if defined key_lim3
-      LOGICAL , DIMENSION(jpi,jpj,jpl) ::  &
-#elif defined key_lim2
-      LOGICAL , DIMENSION(jpi,jpj) ::  &
-#endif
-         llmask
+      !! References :   Shine and Hendersson-Sellers 1985, JGR, 90(D1), 2243-2250.
+      !!----------------------------------------------------------------------
+      REAL(wp), INTENT(in   ), DIMENSION(:,:,:) ::   pt_ice      !  ice surface temperature
+      REAL(wp), INTENT(in   ), DIMENSION(:,:,:) ::   ph_ice      !  sea-ice thickness
+      REAL(wp), INTENT(in   ), DIMENSION(:,:,:) ::   ph_snw      !  snow thickness
+      REAL(wp), INTENT(  out), DIMENSION(:,:,:) ::   pa_ice_cs   !  albedo of ice under clear    sky
+      REAL(wp), INTENT(  out), DIMENSION(:,:,:) ::   pa_ice_os   !  albedo of ice under overcast sky
+      !!
+      INTEGER  ::   ji, jj, jl    ! dummy loop indices
+      INTEGER  ::   ijpl          ! number of ice categories (3rd dim of ice input arrays)
+      REAL(wp) ::   zalbpsnm      ! albedo of ice under clear sky when snow is melting
+      REAL(wp) ::   zalbpsnf      ! albedo of ice under clear sky when snow is freezing
+      REAL(wp) ::   zalbpsn       ! albedo of snow/ice system when ice is coverd by snow
+      REAL(wp) ::   zalbpic       ! albedo of snow/ice system when ice is free of snow
+      REAL(wp) ::   zithsn        ! = 1 for hsn >= 0 ( ice is cov. by snow ) ; = 0 otherwise (ice is free of snow)
+      REAL(wp) ::   zitmlsn       ! = 1 freezinz snow (pt_ice >=rt0_snow) ; = 0 melting snow (pt_ice<rt0_snow)
+      REAL(wp) ::   zihsc1        ! = 1 hsn <= c1 ; = 0 hsn > c1
+      REAL(wp) ::   zihsc2        ! = 1 hsn >= c2 ; = 0 hsn < c2
+      !!
+      LOGICAL , DIMENSION(jpi,jpj,SIZE(pt_ice,3)) ::   llmask
+      REAL(wp), DIMENSION(jpi,jpj,SIZE(pt_ice,3)) ::   zalbfz    ! = alphdi for freezing ice ; = albice for melting ice
+      REAL(wp), DIMENSION(jpi,jpj,SIZE(pt_ice,3)) ::   zficeth   !  function of ice thickness
       !!---------------------------------------------------------------------
       
-      ! initialization 
-      IF( albd_init == 0 )   CALL albedo_init
-
-      !-------------------------                                                             
+      ijpl = SIZE( pt_ice, 3 )                     ! number of ice categories
+
+      IF( albd_init == 0 )   CALL albedo_init      ! initialization 
+
+      !---------------------------
       !  Computation of  zficeth
-      !-------------------------- 
-#if defined key_lim3
-      llmask = (ht_s(:,:,:) == 0.e0) .AND. ( t_su(:,:,:) >= rt0_ice )
-#elif defined key_lim2      
-      llmask = (hsnif == 0.e0) .AND. ( sist >= rt0_ice )
-#endif
-      WHERE ( llmask )   !  ice free of snow and melts
-         zalbfz = albice
-      ELSEWHERE                   
-         zalbfz = alphdi
+      !---------------------------
+      llmask = ( ph_snw == 0.e0 ) .AND. ( pt_ice >= rt0_ice )
+      ! ice free of snow and melts
+      WHERE( llmask )   ;   zalbfz = albice
+      ELSEWHERE         ;   zalbfz = alphdi
       END WHERE
-      
-#if defined key_lim3
-      DO jl = 1, jpl
+
+      DO jl = 1, ijpl
          DO jj = 1, jpj
             DO ji = 1, jpi
-               IF( ht_i(ji,jj,jl) > 1.5 ) THEN
+               IF( ph_ice(ji,jj,jl) > 1.5 ) THEN
                   zficeth(ji,jj,jl) = zalbfz(ji,jj,jl)
-               ELSEIF( ht_i(ji,jj,jl) > 1.0  .AND. ht_i(ji,jj,jl) <= 1.5 ) THEN
-                  zficeth(ji,jj,jl) = 0.472 + 2.0 * ( zalbfz(ji,jj,jl) - 0.472 ) * ( ht_i(ji,jj,jl) - 1.0 )
-               ELSEIF( ht_i(ji,jj,jl) > 0.05 .AND. ht_i(ji,jj,jl) <= 1.0 ) THEN
-                  zficeth(ji,jj,jl) = 0.2467 + 0.7049 * ht_i(ji,jj,jl)                               &
-                     &                    - 0.8608 * ht_i(ji,jj,jl) * ht_i(ji,jj,jl)                 &
-                     &                    + 0.3812 * ht_i(ji,jj,jl) * ht_i(ji,jj,jl) * ht_i (ji,jj,jl)
+               ELSEIF( ph_ice(ji,jj,jl) > 1.0  .AND. ph_ice(ji,jj,jl) <= 1.5 ) THEN
+                  zficeth(ji,jj,jl) = 0.472 + 2.0 * ( zalbfz(ji,jj,jl) - 0.472 ) * ( ph_ice(ji,jj,jl) - 1.0 )
+               ELSEIF( ph_ice(ji,jj,jl) > 0.05 .AND. ph_ice(ji,jj,jl) <= 1.0 ) THEN
+                  zficeth(ji,jj,jl) = 0.2467 + 0.7049 * ph_ice(ji,jj,jl)                               &
+                     &                    - 0.8608 * ph_ice(ji,jj,jl) * ph_ice(ji,jj,jl)                 &
+                     &                    + 0.3812 * ph_ice(ji,jj,jl) * ph_ice(ji,jj,jl) * ph_ice (ji,jj,jl)
                ELSE
-                  zficeth(ji,jj,jl) = 0.1 + 3.6 * ht_i(ji,jj,jl) 
+                  zficeth(ji,jj,jl) = 0.1 + 3.6 * ph_ice(ji,jj,jl) 
                ENDIF
             END DO
          END DO
       END DO
-#elif defined key_lim2      
-      DO jj = 1, jpj
-         DO ji = 1, jpi
-            IF( hicif(ji,jj) > 1.5 ) THEN
-               zficeth(ji,jj) = zalbfz(ji,jj)
-            ELSEIF( hicif(ji,jj) > 1.0  .AND. hicif(ji,jj) <= 1.5 ) THEN
-               zficeth(ji,jj) = 0.472 + 2.0 * ( zalbfz(ji,jj) - 0.472 ) * ( hicif(ji,jj) - 1.0 )
-            ELSEIF( hicif(ji,jj) > 0.05 .AND. hicif(ji,jj) <= 1.0 ) THEN
-               zficeth(ji,jj) = 0.2467 + 0.7049 * hicif(ji,jj)                                &
-                  &                    - 0.8608 * hicif(ji,jj) * hicif(ji,jj)                 &
-                  &                    + 0.3812 * hicif(ji,jj) * hicif(ji,jj) * hicif (ji,jj)
-            ELSE
-               zficeth(ji,jj) = 0.1 + 3.6 * hicif(ji,jj) 
-            ENDIF
-         END DO
-      END DO
-#endif
       
       !----------------------------------------------- 
@@ -188,30 +124,27 @@
       !    Albedo of snow-ice for clear sky.
       !-----------------------------------------------    
-#if defined key_lim3
-      DO jl = 1, jpl
+      DO jl = 1, ijpl
          DO jj = 1, jpj
             DO ji = 1, jpi
                !  Case of ice covered by snow.             
-            
-               !  freezing snow        
-               zihsc1       = 1.0 - MAX ( zzero , SIGN ( zone , - ( ht_s(ji,jj,jl) - c1 ) ) )
-               zalbpsnf     = ( 1.0 - zihsc1 ) * ( zficeth(ji,jj,jl) + ht_s(ji,jj,jl) * ( alphd - zficeth(ji,jj,jl) ) / c1 ) &
-                  &                 + zihsc1   * alphd  
-
-               !  melting snow                
-               zihsc2       = MAX ( zzero , SIGN ( zone , ht_s(ji,jj,jl) - c2 ) )
-               zalbpsnm     = ( 1.0 - zihsc2 ) * ( albice + ht_s(ji,jj,jl) * ( alphc - albice ) / c2 )                 &
-                  &                 + zihsc2   * alphc 
-
-
-               zitmlsn      =  MAX ( zzero , SIGN ( zone , t_su(ji,jj,jl) - rt0_snow ) )   
-               zalbpsn      =  zitmlsn * zalbpsnm + ( 1.0 - zitmlsn ) * zalbpsnf
+               !                                        !  freezing snow        
+               zihsc1   = 1.0 - MAX( zzero , SIGN( zone , - ( ph_snw(ji,jj,jl) - c1 ) ) )
+               zalbpsnf = ( 1.0 - zihsc1 ) * (  zficeth(ji,jj,jl)                                        &
+                  &                           + ph_snw(ji,jj,jl) * ( alphd - zficeth(ji,jj,jl) ) / c1  )   &
+                  &     +         zihsc1   * alphd  
+               !                                        !  melting snow                
+               zihsc2   = MAX( zzero , SIGN( zone , ph_snw(ji,jj,jl) - c2 ) )
+               zalbpsnm = ( 1.0 - zihsc2 ) * ( albice + ph_snw(ji,jj,jl) * ( alphc - albice ) / c2 )       &
+                  &     +         zihsc2   * alphc 
+               !
+               zitmlsn  =  MAX( zzero , SIGN( zone , pt_ice(ji,jj,jl) - rt0_snow ) )   
+               zalbpsn  =  zitmlsn * zalbpsnm + ( 1.0 - zitmlsn ) * zalbpsnf
             
                !  Case of ice free of snow.
-               zalbpic      = zficeth(ji,jj,jl) 
+               zalbpic  = zficeth(ji,jj,jl) 
             
                ! albedo of the system   
-               zithsn       = 1.0 - MAX ( zzero , SIGN ( zone , - ht_s(ji,jj,jl) ) )
-               palbp(ji,jj,jl) =  zithsn * zalbpsn + ( 1.0 - zithsn ) *  zalbpic
+               zithsn   = 1.0 - MAX( zzero , SIGN( zone , - ph_snw(ji,jj,jl) ) )
+               pa_ice_cs(ji,jj,jl) =  zithsn * zalbpsn + ( 1.0 - zithsn ) *  zalbpic
             END DO
          END DO
@@ -220,99 +153,29 @@
       !    Albedo of snow-ice for overcast sky.
       !----------------------------------------------  
-      palb(:,:,:)   = palbp(:,:,:) + cgren       ! Oberhuber correction
-
-#elif defined key_lim2      
-
-      DO jj = 1, jpj
-         DO ji = 1, jpi
-            !  Case of ice covered by snow.             
-            
-            !  melting snow        
-            zihsc1       = 1.0 - MAX ( zzero , SIGN ( zone , - ( hsnif(ji,jj) - c1 ) ) )
-            zalbpsnm     = ( 1.0 - zihsc1 ) * ( zficeth(ji,jj) + hsnif(ji,jj) * ( alphd - zficeth(ji,jj) ) / c1 ) &
-               &                 + zihsc1   * alphd  
-            !  freezing snow                
-            zihsc2       = MAX ( zzero , SIGN ( zone , hsnif(ji,jj) - c2 ) )
-            zalbpsnf     = ( 1.0 - zihsc2 ) * ( albice + hsnif(ji,jj) * ( alphc - albice ) / c2 )                 &
-               &                 + zihsc2   * alphc 
-            
-            zitmlsn      =  MAX ( zzero , SIGN ( zone , sist(ji,jj) - rt0_snow ) )   
-            zalbpsn      =  zitmlsn * zalbpsnf + ( 1.0 - zitmlsn ) * zalbpsnm 
-            
-            !  Case of ice free of snow.
-            zalbpic      = zficeth(ji,jj) 
-            
-            ! albedo of the system   
-            zithsn       = 1.0 - MAX ( zzero , SIGN ( zone , - hsnif(ji,jj) ) )
-            palbp(ji,jj) =  zithsn * zalbpsn + ( 1.0 - zithsn ) *  zalbpic
-         END DO
-      END DO
-      
-      !    Albedo of snow-ice for overcast sky.
-      !----------------------------------------------  
-      palb(:,:)   = palbp(:,:) + cgren                                           
-#endif
-      
-      !--------------------------------------------
-      !    Computation of the albedo of the ocean 
-      !-------------------------- -----------------                                                          
-      
-      !  Parameterization of Briegled and Ramanathan, 1982 
-      zmue14      = zmue**1.4                                       
-      palcnp(:,:) = 0.05 / ( 1.1 * zmue14 + 0.15 )                
-      
-      !  Parameterization of Kondratyev, 1969 and Payne, 1972
-      palcn(:,:)  = 0.06                                                 
-      
-   END SUBROUTINE flx_blk_albedo
-
-# else
-   !!----------------------------------------------------------------------
-   !!   Default option :                                   NO sea-ice model
-   !!----------------------------------------------------------------------
-
-   SUBROUTINE flx_blk_albedo( palb , palcn , palbp , palcnp )
-      !!----------------------------------------------------------------------
-      !!               ***  ROUTINE flx_blk_albedo  ***
+      pa_ice_os(:,:,:) = pa_ice_cs(:,:,:) + cgren       ! Oberhuber correction
+      !
+   END SUBROUTINE albedo_ice
+
+
+   SUBROUTINE albedo_oce( pa_oce_os , pa_oce_cs )
+      !!----------------------------------------------------------------------
+      !!               ***  ROUTINE albedo_oce  ***
       !! 
-      !! ** Purpose :   Computation of the albedo of the snow/ice system
-      !!      as well as the ocean one
-      !!
-      !! ** Method  :   Computation of the albedo of snow or ice (choose the
-      !!      wright one by a large number of tests Computation of the albedo
-      !!      of the ocean
-      !!
-      !! History :
-      !!  8.0   !  01-04  (LIM 1.0)
-      !!  8.5   !  03-07  (C. Ethe, G. Madec)  Optimization (old name:shine)
-      !!----------------------------------------------------------------------
-      !! * Arguments
-      REAL(wp), DIMENSION(jpi,jpj), INTENT(out) ::  &
-         palb         ,     &    !  albedo of ice under overcast sky
-         palcn        ,     &    !  albedo of ocean under overcast sky
-         palbp        ,     &    !  albedo of ice under clear sky
-         palcnp                  !  albedo of ocean under clear sky
-
-      REAL(wp) ::   &
-         zmue14                 !  zmue**1.4
-      !!----------------------------------------------------------------------
-
-      !--------------------------------------------
-      !    Computation of the albedo of the ocean
-      !-------------------------- -----------------
-
-      !  Parameterization of Briegled and Ramanathan, 1982
-      zmue14      = zmue**1.4
-      palcnp(:,:) = 0.05 / ( 1.1 * zmue14 + 0.15 )
-
-      !  Parameterization of Kondratyev, 1969 and Payne, 1972
-      palcn(:,:)  = 0.06
-
-      palb (:,:)  = palcn(:,:)
-      palbp(:,:)  = palcnp(:,:)
-
-   END SUBROUTINE flx_blk_albedo
-
-#endif
+      !! ** Purpose :   Computation of the albedo of the ocean
+      !!
+      !! ** Method  :   ....
+      !!----------------------------------------------------------------------
+      REAL(wp), DIMENSION(jpi,jpj), INTENT(out) ::   pa_oce_os   !  albedo of ocean under overcast sky
+      REAL(wp), DIMENSION(jpi,jpj), INTENT(out) ::   pa_oce_cs   !  albedo of ocean under clear sky
+      !!
+      REAL(wp) ::   zcoef   ! temporary scalar
+      !!----------------------------------------------------------------------
+      !
+      zcoef = 0.05 / ( 1.1 * rmue**1.4 + 0.15 )      ! Parameterization of Briegled and Ramanathan, 1982 
+      pa_oce_cs(:,:) = zcoef               
+      pa_oce_os(:,:)  = 0.06                         ! Parameterization of Kondratyev, 1969 and Payne, 1972
+      !
+   END SUBROUTINE albedo_oce
+
 
    SUBROUTINE albedo_init
@@ -323,14 +186,6 @@
       !!
       !! ** Method  :   Read the namelist namalb
-      !!
-      !! ** Action  :  
-      !!
-      !!
-      !! History :
-      !!   9.0  !  04-11  (C. Talandier)  Original code
       !!----------------------------------------------------------------------
       NAMELIST/namalb/ cgren, albice, alphd, alphdi, alphc
-      !!----------------------------------------------------------------------
-      !!  OPA 9.0, LODYC-IPSL (2004)
       !!----------------------------------------------------------------------
 
@@ -342,20 +197,17 @@
       READ  ( numnam, namalb )
 
-      ! Control print
-      IF(lwp) THEN
+      IF(lwp) THEN               ! Control print
          WRITE(numout,*)
-         WRITE(numout,*) 'albedo_init : albedo '
+         WRITE(numout,*) 'albedo_init : set albedo parameters from namelist namalb'
          WRITE(numout,*) '~~~~~~~~~~~'
-         WRITE(numout,*) '          Namelist namalb : set albedo parameters'
-         WRITE(numout,*)
-         WRITE(numout,*) '             correction of the snow or ice albedo to take into account cgren = ', cgren
-         WRITE(numout,*) '             albedo of melting ice in the arctic and antarctic        albice = ', albice
-         WRITE(numout,*) '             coefficients for linear                                   alphd = ', alphd
-         WRITE(numout,*) '             interpolation used to compute albedo                     alphdi = ', alphdi
-         WRITE(numout,*) '             between two extremes values (Pyane, 1972)                 alphc = ', alphc
-         WRITE(numout,*)
+         WRITE(numout,*) '             correction for snow and ice albedo                    cgren  = ', cgren
+         WRITE(numout,*) '             albedo of melting ice in the arctic and antarctic     albice = ', albice
+         WRITE(numout,*) '             coefficients for linear                               alphd  = ', alphd
+         WRITE(numout,*) '             interpolation used to compute albedo                  alphdi = ', alphdi
+         WRITE(numout,*) '             between two extremes values (Pyane, 1972)             alphc  = ', alphc
       ENDIF
-
+      !
    END SUBROUTINE albedo_init
+
    !!======================================================================
 END MODULE albedo
Index: trunk/NEMO/OPA_SRC/SBC/cpl_oasis3.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/cpl_oasis3.F90	(revision 873)
+++ trunk/NEMO/OPA_SRC/SBC/cpl_oasis3.F90	(revision 888)
@@ -45,4 +45,5 @@
    USE daymod                       ! date and time info
    USE dom_oce                      ! ocean space and time domain
+   USE sbc_ice                      ! surface boundary condition: ice
    USE in_out_manager               ! I/O manager
    USE par_oce                      !
@@ -50,7 +51,7 @@
 
    USE oce, only: tn, un, vn
-   USE ice, only: frld, hicif, hsnif
-   USE flx_oce, only : alb_ice ,  & ! albedo of ice
-                       tn_ice       ! ice surface temperature
+#if defined key_lim2
+   USE ice_2, only: frld, hicif, hsnif
+#endif
 
    IMPLICIT NONE
@@ -116,5 +117,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2006) 
-   !! $Header$ 
+   !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -309,4 +310,7 @@
 
 #if defined key_cpl_albedo
+# if defined key_lim3
+         Must be adapted for LIM3
+# endif
          tn_ice  = 271.285
 	 alb_ice =   0.75
Index: trunk/NEMO/OPA_SRC/SBC/cpl_oasis4.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/cpl_oasis4.F90	(revision 873)
+++ trunk/NEMO/OPA_SRC/SBC/cpl_oasis4.F90	(revision 888)
@@ -120,5 +120,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2006) 
-   !! $Header$ 
+   !! $ Id: $
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
